DRM_GEM_PRIME_FD_TO_(9)

NAME
drm_gem_prime_fd_to_handle - PRIME import function for GEM drivers

SYNOPSIS

int drm_gem_prime_fd_to_handle(struct drm_device * dev, struct drm_file * file_priv, int prime_fd, uint32_t * handle);

ARGUMENTS

dev
    dev to export the buffer from

file_priv
    drm file-private structure

prime_fd
    fd id of the dma-buf which should be imported

handle
    pointer to storage for the handle of the imported buffer object

DESCRIPTION

This is the PRIME import function which must be used mandatorily by GEM drivers to ensure correct lifetime management of the underlying GEM object. The actual importing of GEM object from the dma-buf is done through the gem_import_export driver callback.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT